import { Module } from '@nestjs/common'
import { ViewsController } from './views.controller.js'
import { ViewsProvider } from './views.provider.js'
import { KeysModule } from 'src/keys/keys.module.js'

@Module({
    controllers: [ViewsController],
    providers: [ViewsProvider],
    imports: [KeysModule],
})
export class ViewsModule {}
